Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1111)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1112)
@@ -164,8 +164,8 @@
 
 
 
-	public LexicalTable(String uuid)	{
-		super(uuid);
+	public LexicalTable(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 
 
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 1111)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 1112)
@@ -65,10 +65,10 @@
 
 	/**
 	 * Creates a not computed partition dimensions.
-	 * @param UUID
+	 * @param parametersNodePath
 	 */
-	public PartitionDimensions(String UUID) {
-		super(UUID);
+	public PartitionDimensions(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 	
 
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 1111)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 1112)
@@ -88,8 +88,7 @@
 	 * @return <code>true</code> if Rserve is running or was successfully
 	 * started, <code>false</code> otherwise.
 	 */
-	protected static boolean launchRserve(String cmd, String rargs,
-			String rsrvargs, int port, boolean debug) {
+	protected static boolean launchRserve(String cmd, String rargs, String rsrvargs, int port, boolean debug) {
 		//System.out.println("LAUNCH R SERVER "+cmd+" "+port+" "+debug);
 		try {
 			String[] cmdline = null;
@@ -165,8 +164,7 @@
 		int attempts = 10;
 		while (attempts > 0) {
 			try {
-				//System.out.print("."); //$NON-NLS-1$
-				Log.info(".");
+				System.out.print("."); //$NON-NLS-1$
 				RConnection c = new RConnection("127.0.0.1", port); //$NON-NLS-1$
 				c.close();
 				return true;
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1111)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1112)
@@ -76,7 +76,7 @@
 			//System.out.println("script="+script);
 
 			TokenizerClasses.reset();
-			if (!TokenizerClasses.loadFromProject(project.getPreferences())) {
+			if (!TokenizerClasses.loadFromProject(project.getPreferencesScope())) {
 				Log.severe("Error: failed to load tokenizer parameters");
 				monitor.done();
 //				if (basedir.exists()) basedir.renameTo(errorBinDirectory);
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 1111)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 1112)
@@ -63,10 +63,10 @@
 
 	/**
 	 * Creates a not computed words cloud
-	 * @param uuid
+	 * @param parametersNodePath
 	 */
-	public WordCloud(String uuid)	{
-		super(uuid);
+	public WordCloud(String parametersNodePath)	{
+		super(parametersNodePath);
 	}
 	
 		
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1111)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1112)
@@ -75,10 +75,10 @@
 	
 	/**
 	 * 
-	 * @param UUID
+	 * @param parametersNodePath
 	 */
-	public InternalView(String UUID) {
-		super(UUID);
+	public InternalView(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
 	
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1111)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1112)
@@ -80,13 +80,13 @@
 				return null;
 			}
 			
-			// create local result node, store in some parameters and call the linked command
-			String uuid = TXMResult.createUUID();
-			TXMPreferences.put(uuid, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
-			TXMPreferences.put(uuid, TXMPreferences.QUERY, query);
-			TXMPreferences.put(uuid, TXMPreferences.QUERIES, queries);
+			// create a local result node in the project node, store in some parameters and call the linked command
+			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID();
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERY, query);
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERIES, queries);
 			
-			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), uuid);
+			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), resultParametersNodePath);
 			
 		}
 		else	{
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1111)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1112)
@@ -70,12 +70,12 @@
 				return null;
 			}
 			
-			// create local result node, store in some parameters and call the linked command
-			String uuid = TXMResult.createUUID();
-			TXMPreferences.put(uuid, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
-			TXMPreferences.put(uuid, TXMPreferences.MATCHES, matches.toString());
+			// create a local result node in the project node, store in some parameters and call the linked command
+			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID();
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
+			TXMPreferences.put(resultParametersNodePath, TXMPreferences.MATCHES, matches.toString());
 			
-			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), uuid);
+			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), resultParametersNodePath);
 		}
 		else	{
 			this.logCanNotExecuteCommand(selection);
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 1111)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 1112)
@@ -5,7 +5,7 @@
 
 public class Messages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.links.rcp.handlers.messages"; //$NON-NLS-1$
+	private static final String BUNDLE_NAME = "org.txm.links.rcp.messages.messages"; //$NON-NLS-1$
 	
 	public static String link_error_no_match;
 	public static String link_error_no_query;
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 1111)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 1112)
@@ -75,10 +75,10 @@
 
 	/**
 	 * Creates a not computed texts balance.
-	 * @param UUID
+	 * @param parametersNodePath
 	 */
-	public TextsBalance(String UUID) {
-		super(UUID);
+	public TextsBalance(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
 	
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1111)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1112)
@@ -216,7 +216,7 @@
 		if (base == null) return new ArrayList<String>();
 		String[] names;
 		try {
-			names = base.getPreferences().getNode("KnowledgeRepository").node("names").keys();
+			names = base.getPreferencesScope().getNode("KnowledgeRepository").node("names").keys();
 			return Arrays.asList(names); // getKnowledgeRepositoryNames(params);
 		} catch (BackingStoreException e) {
 			e.printStackTrace();
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1111)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1112)
@@ -39,8 +39,6 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -122,8 +120,11 @@
 	@Parameter(key=PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY)
 	protected int pMaxPropertiesToDisplay;
 	
+	
+	
+	
 	/**
-	 * Instantiates a new Information.
+	 * Instantiates a new corpus Properties.
 	 *
 	 * @param corpus a MainCorpus or a SubCorpus
 	 */
@@ -131,8 +132,12 @@
 		super(corpus);
 	}
 
-	public Properties(String uuid) {
-		super(uuid);
+	/**
+	 * 
+	 * @param parametersNodePath
+	 */
+	public Properties(String parametersNodePath) {
+		super(parametersNodePath);
 	}
 
 	
Index: tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 1111)
+++ tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 1112)
@@ -69,8 +69,8 @@
 		if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
 			debug = true;
 		}
-		this.multithread = project.getPreferences().getNode("import").getBoolean(ImportKeys.MULTITHREAD, false);
-		this.updateCorpus = project.getPreferences().getNode("import").getBoolean(ImportKeys.UPDATECORPUS, false);
+		this.multithread = project.getPreferencesScope().getNode("import").getBoolean(ImportKeys.MULTITHREAD, false);
+		this.updateCorpus = project.getPreferencesScope().getNode("import").getBoolean(ImportKeys.UPDATECORPUS, false);
 
 		
 		this.sourceDirectory = project.getSrcdir();
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1111)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1112)
@@ -45,6 +45,10 @@
 import java.util.logging.Level;
 
 import org.apache.commons.lang.StringUtils;
+import org.eclipse.core.resources.IProject;
+import org.eclipse.core.resources.IWorkspace;
+import org.eclipse.core.resources.ProjectScope;
+import org.eclipse.core.resources.ResourcesPlugin;
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -52,7 +56,7 @@
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.eclipse.core.runtime.SafeRunner;
-import org.eclipse.core.runtime.preferences.IPreferencesService;
+import org.eclipse.core.runtime.preferences.IScopeContext;
 import org.eclipse.osgi.util.NLS;
 import org.osgi.framework.Bundle;
 import org.osgi.framework.Version;
@@ -64,6 +68,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
+import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.DeleteDir;
@@ -275,39 +280,83 @@
 
 		// FIXME: tmp persistence tests: Reload saved results
 		//		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED)) {
-		Log.info("Toolbox.initialize(): reloading persitent results...");
-		ArrayList<String> resultsNodesQualifiers = TXMPreferences.getAllResultsNodesQualifiers();
-		for (String nodeQualifier : resultsNodesQualifiers) {
+		Log.severe("*** Toolbox.initialize(): reloading projects...");
+		
+		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
+		IProject projects[] = rcpWorkspace.getRoot().getProjects();
+		
+		Log.info("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
+		
+		for (int i = 0; i < projects.length; i++) {
+			
+			//IScopeContext projectScope = new ProjectScope(projects[i]);
 
-			// skip non-TXMResult preference node
-			if (TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier).isEmpty())	{
-				continue;
-			}
+			//System.out.println("*************** Toolbox.initialize(): scope = " + projectScope.getName());
+			
+			ArrayList<String> resultNodePaths = TXMPreferences.getAllResultsNodePaths("project/" + projects[i].getName() + "/");
+			
+			Log.info("Toolbox.initialize(): loading project " + projects[i].getName() + "...");
+			Log.info("Toolbox.initialize(): " + resultNodePaths.size() + " node(s) found in project " + projects[i].getName() + "...");
+			
+			
+			for (String parametersNodePath : resultNodePaths) {
 
-			try {
-				Log.finest("Toolbox.initialize(): loading from result node qualifier " + nodeQualifier);
-				Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
-				Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.getString(TXMPreferences.PARENT_UUID, nodeQualifier));
-				Log.finest("Toolbox.initialize(): bundle_id = " + TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier));
-				Bundle bundle = Platform.getBundle(TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier));
-				if (bundle == null) {
-					Log.finest("Warning: can not restore object with bundle name " + TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier));
-					continue;
+				// skip non-TXMResult preference node
+//				if (TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier).isEmpty())	{
+//					continue;
+//				}
+
+				try {
+
+					Log.finest("Toolbox.initialize(): checking result type linked to node path " + parametersNodePath);
+
+					
+					String className = TXMPreferences.preferencesRootNode.node(parametersNodePath).get("class", ""); //$NON-NLS-1$
+					
+					if(!className.equals(Project.class.getName()))	{
+						Log.finest("Toolbox.initialize(): not a project, result skipped (classame = " + className + ").");
+						continue;
+					}
+
+					
+					Log.finest("Toolbox.initialize(): loading from result node path " + parametersNodePath);
+					//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
+					//TXMPreferences.dump();
+					
+
+					
+					Log.finest("Toolbox.initialize(): class = " + className); //$NON-NLS-1$
+//					Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.getString(TXMPreferences.PARENT_UUID, nodeQualifier));
+					Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_UUID, "")); //$NON-NLS-1$
+					String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
+					Log.finest("Toolbox.initialize(): bundle_id = " + bundleId); //$NON-NLS-1$
+					Bundle bundle = Platform.getBundle(bundleId);
+					if (bundle == null) {
+						Log.finest("Warning: can not restore object with bundle name " + bundleId); //$NON-NLS-1$
+						continue;
+					}
+
+					
+					Log.info("Toolbox.initialize(): creating project " + projects[i].getName() + ".");
+					Class<?> cl = bundle.loadClass(className);
+					Constructor<?> cons = cl.getConstructor(String.class);
+					TXMResult result = (TXMResult) cons.newInstance(parametersNodePath);
+					
+					// not an internal persistence (eg. corpus or partition)
+					if (!result.isPersistable())	{
+						result.setUserPersistable(true);	
+					}
+				} catch (Exception e) {
+					// TODO Auto-generated catch block
+					e.printStackTrace();
 				}
-				String className = TXMPreferences.getString("class", nodeQualifier); //$NON-NLS-1$
-				Class<?> cl = bundle.loadClass(className);
-				Constructor<?> cons = cl.getConstructor(String.class);
-				TXMResult result = (TXMResult) cons.newInstance(nodeQualifier);
-				// not an internal persistence (eg. corpus or partition)
-				if (!result.isPersistable())	{
-					result.setUserPersistable(true);	
-				}
-			} catch (Exception e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
 			}
+			//		}
+
 		}
-		//		}
+		
+		
+		
 
 
 
@@ -781,6 +830,7 @@
 		} catch (Exception e) {
 			Log.severe(NLS.bind(TXMCoreMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
 			System.err.println(NLS.bind(TXMCoreMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
+			e.printStackTrace();
 			return null;
 		}
 	}
